### Function

# Gimp palettes_set_popup

#### Declaration [src]

    gboolean
    gimp_palettes_set_popup (
      const gchar* palette_callback,
      GimpPalette* palette
    )

#### Description [src]

Sets the current palette in a palette selection dialog.

Sets the current palette in a palette selection dialog.

#### Parameters

`palette_callback`

  Type: `const gchar*`

  The name of the callback registered for this pop-up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`palette`

  Type: `GimpPalette`

  The palette to set as selected.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.